<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "provider_url_history".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ProviderUrlHistory".
 *
 * Columns in table "provider_url_history" available as properties of the model,
 * followed by relations of table "provider_url_history" available as properties of the model.
 *
 * @property integer $id
 * @property integer $provider_id
 * @property string $friendly_url
 *
 * @property Provider $provider
 */
abstract class BaseProviderUrlHistory extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'provider_url_history';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ProviderUrlHistory|ProviderUrlHistories', $n);
    }

    public static function representingColumn()
    {
        return 'friendly_url';
    }

    public function rules()
    {
        return array(
            array('provider_id, friendly_url', 'required'),
            array('provider_id', 'numerical', 'integerOnly' => true),
            array('friendly_url', 'length', 'max' => 255),
            array('id, provider_id, friendly_url', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'provider' => array(self::BELONGS_TO, 'Provider', 'provider_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'provider_id' => null,
            'friendly_url' => Yii::t('app', 'Friendly Url'),
            'provider' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('provider_id', $this->provider_id);
        $criteria->compare('friendly_url', $this->friendly_url, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
